%define _name gswitchit

Name: gnome-applets-extra-%_name
Version: 2.5.0
Release: alt1

Summary: GSwitchIt is a keyboard state indicator and switcher for GNOME panel
Summary (ru_RU.UTF-8): Идикатор и переключатель раскладок клавиатуры для панели GNOME
Group: Graphical desktop/GNOME
License: GPL
Url: http://%_name.sourceforge.net

Source: http://%_name.sourceforge.net/%_name-%version.tar.gz

Obsoletes: gnome-applets-%_name
Provides: gnome-applets-%_name = %version-%release

%define panel_ver 2.4.1
%define scrollkeeper_ver 0.3.12
%define GConf_ver 2.4.0
%define libxklavier_ver 0.95
%define xfree86_xkb_xml_ver 0.4

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
Requires: gnome-panel >= %panel_ver
Requires: libxklavier >= %libxklavier_ver
#Requires: XFree86 >= 4.3.0

BuildPreReq: libtool_1.4
BuildPreReq: gnome-common

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libgnome-panel-devel >= %panel_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver

# Automatically added by buildreq on Fri Oct 24 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxklavier-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

%description
GSwitchIt is just a simple keyboard state indicator and switcher for
GNOME panel. GSwitchIt - controls and shows switching between the
different keyboard layouts separately for different windows.

%description -l ru_RU.UTF-8
GSwitchIt - индикатор и средство выбора раскладки клавиатуры для панели GNOME.

%package devel
Summary: Development files for GSwitchIt
Summary (ru_RU.UTF-8): Файлы разработчика дополнений к GSwitchIt
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
This package provides development files and libraries needed to build
plugins for GSwitchIt.

%description -l ru_RU.UTF-8 devel
GSwitchIt - индикатор и средство выбора раскладки клавиатуры для панели GNOME.
Этот пакет содержит файлы, необходимые для разработки дополнений для GSwitchIt.

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_name-%version
%__subst 's,\(<default>\)<,\1\[\]<,g' gswitchit.schemas

%build
%set_libtool_version 1.4

%configure --disable-install-schemas \
	    --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %_name

%post
%post_ldconfig
%update_scrollkeeper
%gconf2_install %_name
%gconf2_set bool /apps/gswitchit/General/showFlags true

%preun
%gconf2_uninstall %_name

%postun
%clean_scrollkeeper
%postun_ldconfig

%files -f %_name.lang
%_bindir/*
%dir %_libexecdir
%_libexecdir/*
%_libdir/*.so.*
%_libdir/bonobo/*/*
%_datadir/control-center-2.0/*/*
%_datadir/%_name
%_datadir/gnome-2.0/ui/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc README ChangeLog AUTHORS CREDITS NEWS

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/*.la
%_libdir/pkgconfig/*

%changelog
* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt2
- rebuild.

* Thu Jul 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Thu Jun 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.31-alt2
- patched from cvs, may be fixed switching to secondary keyboard layout.

* Sat May 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.31-alt1
- 2.0.31

* Fri May 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sat Apr 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt3
- Requires XFree86-4.3 instead of xfree86_xkb_xml.

* Wed Feb 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- patch from cvs to fix XKB capplet crash.

* Thu Jan 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- new version.

* Wed Jan 08 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.0.1-alt3
- XML bugfix.

* Tue Jan 07 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.0.1-alt2
- Translation, flags.

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Sat Nov 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt2
- package ranamed

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1
- First build for Sisyphus.
